> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# selectiontype

> MDO provider for the hard-coded list of selection kinds - Static, Dynamic, Combined. Combined requires the Combined Selection CAL license.

## "selectiontype" MDO List

MDO provider for the hard-coded list of selection kinds: Static, Dynamic, Combined.
Combined requires the Combined Selection CAL license.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SelectionTypeList">SelectionTypeList</see> class.
The name of the MDO list is 'selectiontype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/selectiontype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("selectiontype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 0  | Static   |           |           |
| 1  | Dynamic  |           |           |
| 2  | Combined |           |           |

## Related MDO Lists

* "selectiontypeheadings"
* "selectiontypeheadingswithallitem"
* "selectiontypeheadingswithallitemwithnoselection"
* "selectiontypeheadingswithnoselection"
* "selectiontypewithallitem"
* "selectiontypewithallitemwithnoselection"
* "selectiontypewithnoselection"


## Related topics

- [Enum SelectionType](/en/automation/crmscript/reference/CRMScript.NetServer.SelectionType.md)
- [SuperOffice.WebApi.Data.SelectionType](/en/api/reference/webapi/SuperOffice.WebApi.Data.SelectionType.md)
- [SuperOffice.WebApi.Data.SelectionEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SelectionEntity.md)
- [SuperOffice.WebApi.Agents.ISelectionAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ISelectionAgent.md)
- [SuperOffice.WebApi.Agents.SelectionAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.SelectionAgent.md)
- [SuperOffice.WebApi.Data.Selection CreateSelectionFromSelectionRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Selection_CreateSelectionFromSelectionRequest.md)
